/**
 * 区域管理接口
 */
import request from '@/utils/request'
// 区域查询
export function getAreaListPage(params) {
  return request({
    url: 'area/listPage',
    method: 'get',
    params
  })
}

// 根据部门找其默认区域
export function getAreaByDept(deptid) {
  return request({
    url: 'config/getAreaByDept',
    method: 'get',
    params: {
      deptId: deptid
    }
  })
}
// 区域查询
export function getAreaList(pid) {
  return request({
    url: 'area/list',
    method: 'get',
    params: {
      pid: pid
    }
  })
}

// 区域查询,非分页，加载树用
export function getAreaTree(params) {
  return request({
    url: 'area/list',
    method: 'get',
    params
  })
}
// 区域类型查询
export function getAreaType() {
  return request({
    url: 'dict/code/levelType',
    method: 'get'
  })
}

// 添加区域
export function addArea(params) {
  return request({
    url: 'area/add',
    method: 'post',
    params
  })
}
// 修改区域机构
export function updateArea(params) {
  return request({
    url: 'area/update',
    method: 'post',
    params
  })
}
// 删除区域机构
export function delArea(id) {
  return request({
    url: 'area/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}
